Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 535774 (CVE-2014-6272) - <dev-libs/libevent-2.0.22 <dev-libs/libevent-2.1.5 - integer overflow bugs in evbuffer_add() and related functions (CVE-2014-6272)
Summary: <dev-libs/libevent-2.0.22 <dev-libs/libevent-2.1.5 - integer overflow bugs in...
Status: RESOLVED FIXED
Alias: CVE-2014-6272
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-06 10:41 UTC by Jeroen Roovers (RETIRED)
Modified: 2017-02-04 10:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2015-01-06 10:41:13 UTC
Changes in version 2.0.22-stable (5 Jan 2015)

SECURITY FIXES (evbuffers)
 o Avoid integer overflow bugs in evbuffer_add() and related functions.  See CVE-2014-6272 advisory for more information. (20d6d4458bee5d88bda1511c225c25b2d3198d6c)
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2015-01-06 10:44:24 UTC
Arch teams, please test and mark stable:
=dev-libs/libevent-2.0.22
Targeted stable KEYWORDS : alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
Comment 2 Agostino Sarubbo gentoo-dev 2015-01-06 13:36:13 UTC
amd64 stable
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2015-01-06 20:24:18 UTC
Stable for HPPA.
Comment 4 Andreas Schürch gentoo-dev 2015-01-08 15:32:26 UTC
x86 done.
Comment 5 Agostino Sarubbo gentoo-dev 2015-01-09 08:38:38 UTC
ppc stable
Comment 6 Tobias Klausmann gentoo-dev 2015-01-09 12:03:20 UTC
Stable on alpha.
Comment 7 Markus Meier gentoo-dev 2015-01-11 21:07:28 UTC
arm stable
Comment 8 Agostino Sarubbo gentoo-dev 2015-01-13 10:21:57 UTC
sparc stable
Comment 9 Agostino Sarubbo gentoo-dev 2015-01-14 13:52:30 UTC
ppc64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2015-01-16 08:09:21 UTC
ia64 stable.

Maintainer(s), please cleanup.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2015-02-07 20:49:40 UTC
This issue was resolved and addressed in
 GLSA 201502-07 at http://security.gentoo.org/glsa/glsa-201502-07.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).